diff -Naurp webkitgtk-1.10.2.orig/Source/JavaScriptCore/tools/CodeProfile.cpp webkitgtk-1.10.2/Source/JavaScriptCore/tools/CodeProfile.cpp
--- Source/JavaScriptCore/tools/CodeProfile.cpp	2013-01-31 22:39:07.000000000 -0800
+++ Source/JavaScriptCore/tools/CodeProfile.cpp	2013-01-31 22:42:01.000000000 -0800
@@ -36,7 +36,6 @@
 #if OS(DARWIN)
 #include <cxxabi.h>
 #include <dlfcn.h>
-#include <execinfo.h>
 #endif
 
 namespace JSC {
diff -Naurp webkitgtk-1.10.2.orig/Source/WTF/wtf/Assertions.cpp webkitgtk-1.10.2/Source/WTF/wtf/Assertions.cpp
--- Source/WTF/wtf/Assertions.cpp	2012-11-23 12:12:16.000000000 -0800
+++ Source/WTF/wtf/Assertions.cpp	2013-01-31 22:43:57.000000000 -0800
@@ -61,8 +61,11 @@
 #if (OS(DARWIN) || OS(LINUX)) && !OS(ANDROID)
 #include <cxxabi.h>
 #include <dlfcn.h>
+#include <AvailabilityMacros.h>
+#if !OS(DARWIN) || MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
 #include <execinfo.h>
 #endif
+#endif
 
 #if OS(ANDROID)
 #include "android/log.h"
@@ -242,7 +245,7 @@ void WTFReportArgumentAssertionFailure(c
 
 void WTFGetBacktrace(void** stack, int* size)
 {
-#if (OS(DARWIN) || (OS(LINUX) && !defined(__UCLIBC__))) && !OS(ANDROID)
+#if ((OS(DARWIN) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1050) || (OS(LINUX) && !defined(__UCLIBC__))) && !OS(ANDROID)
     *size = backtrace(stack, *size);
 #elif OS(WINDOWS) && !OS(WINCE)
     // The CaptureStackBackTrace function is available in XP, but it is not defined
